<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk 
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" rel="stylesheet">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,600,700,700i,800,800i&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800&display=swap" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">
	
	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<?php wp_head(); ?>

	   <script type="text/javascript">
	$(document).ready(function(){
		$("#formButton").click(function(){
			$("#form1").toggle();
		});
	});
 </script>
</head>


<body <?php body_class(); ?>>
	<div class="main-container">
		<!-- <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'Luzuk' ); ?></a> -->
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		
				<div class="header-top">
						
				<!-- <div class="clearfix"></div>
			</div>  -->

		<header class="site-header header-transparent header mo-left header-seo">

			<div class="row row-eq-height heade-border">
				<?php 
				if( get_theme_mod('pages_logoboxtoppostionset',true) ) {
					$pages_logoboxtoppostionset = 'padding-top:'.esc_attr(get_theme_mod('pages_logoboxtoppostionset')).';';
				}
				
				?>
			<div class="hlb col-lg-6 col-md-6 col-sm-10 col-xs-10 padding0"> 
				<div class="logo col-lg-6 col-md-6 col-sm-12 "> 
					
					<div class="logobox">
						<?php 
						if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
							the_custom_logo();
					else : 
						if ( is_front_page() ) : ?>
							<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php else : ?>
								<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
							<?php endif; ?>
						<?php endif; ?>
						<!-- .site-branding -->
					</div>
					<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p> 
					<div class="clearfix"></div>
				</div>

				<?php
					$Pbox_text = get_theme_mod('Pbox_text', 'Call Now Fast Service');
					$Pbox_no = get_theme_mod('Pbox_no', '1800-123-4567');
				?>
				<?php if($Pbox_text || $Pbox_no){ ?>
				<div class="col-md-6 col-sm-12 Pbox padding0">
					<div class="col-md-2 col-sm-1 col-xs-2 top-form">
						<div class="pbtn" id="formButton" class="pull-right"></div>
					</div>
					<div class="col-md-10 col-sm-11 col-xs-10 padding0">
						<div class="phtn">

							<h6><?php echo ($Pbox_text);  ?></h6>
							<a href="tel:<?php echo $Pbox_no;?>"><h5><?php echo ($Pbox_no);  ?></h5></a>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
				<?php }?>
				<div class="clearfix"></div>
			</div>
				<!-- main header -->
			<div class="col-lg-6 col-md-6 col-sm-2 col-xs-2 sticky-header main-bar-wraper navbar-expand-lg padding0">
					<div class="main-bar clearfix ">
						<div class="top-bar-head">
							<!-- nav toggle button -->
							<div class="nav-menus">                 
							<a class="js-nav-toggle">
								<span></span>
							</a>
						    <div class="nav-wrapper">
								<nav role="navigation">
									<div class="nav-toggle">
											<span class="nav-back"></span>
											<span class="nav-title">Menu</span>
											<span class="nav-close"></span>
									</div>
									<?php
                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
                                            wp_nav_menu ( array(
                                                'menu_class' => 'mainm ht-clearfix',
                                                'container'=> 'ul',
                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
                                                'theme_location' => 'primary',  
                                            )); 
                                        } else {
                                            wp_nav_menu ( array(
                                                'menu_class' => 'mainm ht-clearfix',
                                                'container'=> 'ul',
                                                'theme_location' => 'primary',  
                                            )); 
                                        }
                                    ?>
								</nav>
							</div>
						</div>
							<!-- main nav -->

							<?php 
							if( get_theme_mod('pages_BottomHeaderTpadding',true) ) {
								$pages_BottomHeaderTpadding = 'padding-top:'.esc_attr(get_theme_mod('pages_BottomHeaderTpadding')).';';
							}
							if( get_theme_mod('pages_BottomHeaderBpadding',true) ) {
								$pages_BottomHeaderBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_BottomHeaderBpadding')).';';
							}
							if( get_theme_mod('pages_BottomHeaderLpadding',true) ) {
								$pages_BottomHeaderLpadding = 'padding-left:'.esc_attr(get_theme_mod('pages_BottomHeaderLpadding')).';';
							}
							if( get_theme_mod('pages_BottomHeaderRpadding',true) ) {
								$pages_BottomHeaderRpadding = 'padding-right:'.esc_attr(get_theme_mod('pages_BottomHeaderRpadding')).';';
							}
							?>

							<div class="header-nav navbar-collapse collapse justify-content-end" id="navbarNavDropdown" style="<?php echo esc_attr($pages_BottomHeaderTpadding); ?>" "<?php echo esc_attr($pages_BottomHeaderRpadding); ?>" "<?php echo esc_attr($pages_BottomHeaderLpadding); ?>" "<?php echo esc_attr($pages_BottomHeaderRpadding); ?>">

								<ul class="col-md-10 nav navbar-nav">	
									<?php 
									wp_nav_menu( array( 
										'theme_location' => 'primary', 
										'container_class' => 'ht-menu clearfix' ,
										'menu_class' => 'ht-clearfix wow',
										'items_wrap' => '<ul id="%1$s" class="%2$s">%3$s</ul>',
									) ); 
									?>
								</ul>							
							</div>
						</div>
					</div>
				</div>
				<!-- main header END -->
				<div class="clearfix"></div>
			</div>
		</header><!-- #masthead -->
	</div>
	</div>
