<?php  
$wp_customize->add_section(
	'lz_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'Luzuk' ),
		'priority' =>20
	)
);

$wp_customize->add_setting('lz_contactus_address_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_contactus_address_lbl',
		array(
			'settings'      => 'lz_contactus_address_lbl',
			'section'       => 'lz_premium_contactus_section',
			'label'         => __( 'Contact Us Address Details', 'Luzuk' ),
		)
	)
);

$section = 'lz_premium_contactus_section';

//ADD TEXTAREA BOX FOR SUB TITLE
$wp_customize->add_setting(
	'lz_contactus_addrress',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Address', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'lz_contactus_addrress',
	array(
		'settings'      => 'lz_contactus_addrress',
		'section'       => 'lz_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'lz_contactus_address', $section, 'textarea', $label="Address Line One", 'lz_fitness_sanitize_text', 'Add Contact Address here..');

lzAddElement($wp_customize, 'lz_contactus_addressdata1', $section, 'textarea', $label="Address Line Two", 'lz_fitness_sanitize_text', '');

lzAddElement($wp_customize, 'lz_contactus_addressdata2', $section, 'textarea', $label="Address Line Three", 'lz_fitness_sanitize_text', '');


// contact us email 
$wp_customize->add_setting(
	'lz_contactus_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Email', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_contactus_emailid',
	array(
		'settings'      => 'lz_contactus_emailid',
		'section'       => 'lz_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'lz_contactus_email', $section, 'text', $label="Contact Us Email", 'lz_fitness_sanitize_text', 'info@yourmailidhere.com');
// contact us Phone 
$wp_customize->add_setting(
	'lz_contactus_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Phone', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_contactus_phhone',
	array(
		'settings'      => 'lz_contactus_phhone',
		'section'       => 'lz_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Label.', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'lz_contactus_phone', $section, 'text', $label="Contact Us Phone", 'lz_fitness_sanitize_text', '1800-123-4567');


//Contact Details icon color
addColorPalatOption($wp_customize, 'lz_contactus_detailiconColor', 'lz_premium_contactus_section', 'Contact Details Icon Color', '#0b707c');

//Contact Details Title color
addColorPalatOption($wp_customize, 'lz_contactus_detailtitleColor', 'lz_premium_contactus_section', 'Contact Details Title Color', '#000000');
//Contact Details Information color
addColorPalatOption($wp_customize, 'lz_contactus_detailinfoColor', 'lz_premium_contactus_section', 'Contact Details Information Color', '#000000');
//Contact Details Email color
addColorPalatOption($wp_customize, 'lz_contactus_detailemailColor', 'lz_premium_contactus_section', 'Contact Details Email Color', '#0de9df');

//Contact Details Email hover color
addColorPalatOption($wp_customize, 'lz_contactus_detailemailhoverColor', 'lz_premium_contactus_section', 'Contact Details Email Hover Color', '#0b707c');


// SOCIAL MEDIA URLS / LINKS
$wp_customize->add_setting('lz_contactus_sm_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_contactus_sm_lbl',
		array(
			'settings'      => 'lz_contactus_sm_lbl',
			'section'       => 'lz_premium_contactus_section',
			'label'         => __( 'Social Media Links', 'Luzuk' ),
		)
	)
);
$wp_customize->add_setting(
	'lz_contactus_socialtitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Follow us on', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'lz_contactus_socialtitle',
	array(
		'settings'      => 'lz_contactus_socialtitle',
		'section'       => 'lz_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Add Social Title', 'Luzuk Premium' )
	)
);
// FACEBOOK 
$wp_customize->add_setting('lz_contactus_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_contactus_facebook',
	array(
		'settings'      => 'lz_contactus_facebook',
		'section'       => 'lz_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'Luzuk' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_contactus_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_contactus_twitter',
	array(
		'settings'      => 'lz_contactus_twitter',
		'section'       => 'lz_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'Luzuk' )
	)
);
// Instagram
$wp_customize->add_setting('lz_contactus_instagram', array('default' => 'https://www.instagram.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_contactus_instagram',
	array(
		'settings'      => 'lz_contactus_instagram',
		'section'       => 'lz_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'Luzuk' )
	)
);
// LINKED IN
$wp_customize->add_setting('lz_contactus_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_contactus_linkedin',
	array(
		'settings'      => 'lz_contactus_linkedin',
		'section'       => 'lz_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'Luzuk' )
	)
);

//Social Title color
addColorPalatOption($wp_customize, 'lz_contactus_SocialtitleColor', 'lz_premium_contactus_section', 'Social Title Color', '#222222');

//Social Icon color
addColorPalatOption($wp_customize, 'lz_contactus_SocialTitleiconColor', 'lz_premium_contactus_section', 'Social Icon Color', '#0b707c');


//Social Icon hover color
addColorPalatOption($wp_customize, 'lz_contactus_SocialTitlehoverColor', 'lz_premium_contactus_section', 'Social Icon Hover Color', '#0de9df');

// contact us form shortcode 
// $wp_customize->add_setting('lz_contactus_shortcode_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
// $wp_customize->add_control('lz_contactus_shortcode_lbl', array('settings'=>'lz_contactus_shortcode_lbl', 'section'=>'lz_premium_contactus_section','type'=>'text', 'label'=> __('Form Title', 'Luzuk')));

lzAddElement($wp_customize, 'lz_contactus_shortcode_lbl', $section, 'text', $label="Form Title", 'lz_fitness_sanitize_text', 'Contact Now');

lzAddElement($wp_customize, 'lz_contactus_shortcode', $section, 'text', $label="Form Shortcode", 'lz_fitness_sanitize_text', '[your shortcode]');

//Form Title color
addColorPalatOption($wp_customize, 'lz_contactus_formtitleColor', 'lz_premium_contactus_section', 'Form Title Color', '#fff');

//Form Background color
addColorPalatOption($wp_customize, 'lz_contactus_formbgColor', 'lz_premium_contactus_section', 'Form Background Color', '#0b707c');

//Form Background color
addColorPalatOption($wp_customize, 'lz_contactus_formsvgbgColor', 'lz_premium_contactus_section', 'Form Background Svg Circle Color', '#5cf0e9');

//Form Label color
addColorPalatOption($wp_customize, 'lz_contactus_formlabelColor', 'lz_premium_contactus_section', 'Form Label Color', '#fff');

//Form text and placeholder color
addColorPalatOption($wp_customize, 'lz_contactus_formtextplaceColor', 'lz_premium_contactus_section', 'Form Text and Placeholder Color', '#fff');

//Form border bottom color
addColorPalatOption($wp_customize, 'lz_contactus_formborderbottomColor', 'lz_premium_contactus_section', 'Form Border Color', '#fff');

//Button color
addColorPalatOption($wp_customize, 'lz_contactus_formbtnColor', 'lz_premium_contactus_section', 'Form Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'lz_contactus_formbtnhoverColor', 'lz_premium_contactus_section', 'Form Button Text Hover Color', '#0de9df');

//Button bg color
addColorPalatOption($wp_customize, 'lz_contactus_formbtnbgColor', 'lz_premium_contactus_section', 'Form Button Background Color', '#0de9df');
addColorPalatOption($wp_customize, 'lz_contactus_formbtnbghoverColor', 'lz_premium_contactus_section', 'Form Button Background Hover Color', '#fff');
//Button border color
addColorPalatOption($wp_customize, 'lz_contactus_formbtnborderColor', 'lz_premium_contactus_section', 'Form Button Border Color', '#0de9df');
addColorPalatOption($wp_customize, 'lz_contactus_formbtnborderhoverColor', 'lz_premium_contactus_section', 'Form Button Border hover Color', '#fff');


// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('lz_contactus_iframe_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_contactus_iframe_lbl',
		array(
			'settings'      => 'lz_contactus_iframe_lbl',
			'section'       => 'lz_premium_contactus_section',
			'label'         => __( 'Location Map', 'Luzuk' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('lz_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('lz_contactus_embade', array('settings'=>'lz_contactus_embade', 'section'=>'lz_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'Luzuk')));

//Button color
addColorPalatOption($wp_customize, 'lz_contactus_mapbgColor', 'lz_premium_contactus_section', 'Map Background Color', '#0de9df');

 