<?php

$wp_customize->add_panel(
    'lz_fitness_general_panel',
    array(
        'priority' => 19,
        'title' => __('General Configuration', 'Luzuk Premium')
    )
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
    'title' => __( 'Static Front Page', 'Luzuk Premium' ),
    'panel' => 'lz_fitness_general_panel',
    'description' => __( 'Your theme supports a static front page.', 'Luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Site Logo/Title/Tagline', 'Luzuk Premium' ),
    'panel' => 'lz_fitness_general_panel',
) );
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'title_tagline', 'Site Tagline color', '#010101');

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '100', 'Unbox' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'Unbox' )
    )
);

lzCustomLable($wp_customize, 'header_logoboxpositionsettings', 'title_tagline', 'Set Logo Position from top');
 
$wp_customize->add_setting(
    'pages_logoboxtoppostionset',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '20px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_logoboxtoppostionset',
    array(
        'settings'      => 'pages_logoboxtoppostionset',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Top', 'Luzuk' )
    )
);

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
    'title' => __( 'Background Image Setting', 'Luzuk Premium' ),
    'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
    'title' => __( 'Header Image', 'Luzuk Premium' ),
    'panel' => 'lz_fitness_general_panel',
) );

//HEADER SETTINGS
$wp_customize->add_section(
    'header_settings',
    array(
        'title' => __( 'Header Settings', 'Luzuk Premium' ),
        'panel' => 'lz_fitness_general_panel',
    )
);
$sectionHeader = 'header_settings';

// lzCustomLable($wp_customize, 'header_bottpadsettings', $sectionHeader, 'Set Header Padding');

// $wp_customize->add_setting(
//  'pages_BottomHeaderTpadding',
//  array(
//      'sanitize_callback' => 'lz_fitness_sanitize_text',
//      'default'           => __( '20px', 'Luzuk' )
//  )
// );
// $wp_customize->add_control(
//  'pages_BottomHeaderTpadding',
//  array(
//      'settings'      => 'pages_BottomHeaderTpadding',
//      'section'       => 'header_settings',
//      'type'          => 'text',
//      'label'         => __( 'Header Top Padding', 'Luzuk' )
//  )
// );
// $wp_customize->add_setting(
//  'pages_BottomHeaderBpadding',
//  array(
//      'sanitize_callback' => 'lz_fitness_sanitize_text',
//      'default'           => __( '20px', 'Luzuk' )
//  )
// );
// $wp_customize->add_control(
//  'pages_BottomHeaderBpadding',
//  array(
//      'settings'      => 'pages_BottomHeaderBpadding',
//      'section'       => 'header_settings',
//      'type'          => 'text',
//      'label'         => __( 'Header Bottom Padding', 'Luzuk' )
//  )
// );

// $wp_customize->add_setting(
//  'pages_BottomHeaderLpadding',
//  array(
//      'sanitize_callback' => 'lz_fitness_sanitize_text',
//      'default'           => __( '20px', 'Luzuk' )
//  )
// );
// $wp_customize->add_control(
//  'pages_BottomHeaderLpadding',
//  array(
//      'settings'      => 'pages_BottomHeaderLpadding',
//      'section'       => 'header_settings',
//      'type'          => 'text',
//      'label'         => __( 'Header Left Padding', 'Luzuk' )
//  )
// );
// $wp_customize->add_setting(
//  'pages_BottomHeaderRpadding',
//  array(
//      'sanitize_callback' => 'lz_fitness_sanitize_text',
//      'default'           => __( '20px', 'Luzuk' )
//  )
// );
// $wp_customize->add_control(
//  'pages_BottomHeaderRpadding',
//  array(
//      'settings'      => 'pages_BottomHeaderRpadding',
//      'section'       => 'header_settings',
//      'type'          => 'text',
//      'label'         => __( 'Header Right Padding', 'Luzuk' )
//  )
// );

addColorPalatOption($wp_customize, 'header_topmenusbgColor', 'header_settings', 'Menus Background Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#000');
addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#57e5d1');
addColorPalatOption($wp_customize, 'header_activeheademenusColor', 'header_settings', 'Active Menu Color', '#57e5d1');

addColorPalatOption($wp_customize, 'header_submenubxborderColor', 'header_settings', 'Header Sub Menu Box Border Color', '#fff');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus Color', '#131313');
addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover Color', '#ffffff');
addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Sub Menus Background Color', '#ffffff');
addColorPalatOption($wp_customize, 'header_topsubmenushvrbgsscColor', 'header_settings', 'Sub Menus Hover Background Color', '#0b707c');
//addColorPalatOption($wp_customize, 'header_activesubmenuColor', 'header_settings', 'Active Sub Menu Color', '#121212');

$wp_customize->add_setting(
    'Pbox_text',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Call Now Fast Service', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'Pbox_text',
    array(
        'settings'      => 'Pbox_text',
        'section'       => 'header_settings', 
        'type'          => 'text',
        'label'         => __( 'Header Phone Icon Text', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'header_psbhdiconColor', 'header_settings', 'Header Phone Icon Text Color', '#131313');

$wp_customize->add_setting(
    'Pbox_no',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '1800-123-4567', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'Pbox_no',
    array(
        'settings'      => 'Pbox_no',
        'section'       => 'header_settings', 
        'type'          => 'text',
        'label'         => __( 'Header Phone Number', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'header_psbmhdiconColor', 'header_settings', 'Header Phone Number Color', '#fff');

addColorPalatOption($wp_customize, 'header_searchiconColor', 'header_settings', 'Header Phone Icon Color', '#fff');

addColorPalatOption($wp_customize, 'headelgophboxbg1Color', 'header_settings', 'Header Logo & Phone Box Background Color One', '#57e5d1');

addColorPalatOption($wp_customize, 'headelgophboxbg2Color', 'header_settings', 'Header Logo & Phone Box Background Color Two', '#2ebfd1');

//addColorPalatOption($wp_customize, 'innerpagheaderbg_Color', 'header_settings', 'Inner Pages Header Background color', '#8ac1de');

lzCustomLable($wp_customize, 'colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#000');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuttlbgColor', 'header_settings', 'Menus Title BG Color', '#d5d5d5');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuColor', 'header_settings', 'Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#2ebfd1');

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
    'title' => __( 'Colors' , 'Luzuk Premium'),
    'panel' => 'lz_fitness_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'lz_fitness_template_color', 'colors', 'Theme Primary Color', '#57e5d1');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#0b707c');

lzCustomLable($wp_customize, 'lz_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Color Setting For Innerpage Colors:'); 

addColorPalatOption($wp_customize, 'lz_template_innerpage_titlecolor', 'colors', 'Inner page title color', '#fff');


addColorPalatOption($wp_customize, 'lz_template_innerpage_bgcolor2', 'colors', 'Inner page Banner Overlay background color ', '#000'); 

addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionbox_color', 'colors', 'Inner Page Background color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionbox1_color', 'colors', 'Inner Page Box Background color', '#ffffff');



addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxheading1_color', 'colors', 'Heading 1 color', '#222222');
addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxheading2_color', 'colors', 'Heading 2 color', '#222222');
addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxheading3_color', 'colors', 'Heading 3 color', '#222222');
addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxheading4_color', 'colors', 'Heading 4 color', '#222222');
addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxheading5_color', 'colors', 'Heading 5 color', '#222222');
addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxheading6_color', 'colors', 'Heading 6 color', '#222222');

addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text color', '#222222');

addColorPalatOption($wp_customize, 'lz_template_innerpagwidgettitle_color', 'colors', 'Inner Page Widget Title color', '#0de9df');


addColorPalatOption($wp_customize, 'innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text & Socials color', '#fff');
addColorPalatOption($wp_customize, 'innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields Background color', '#fff');



addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links color', '#4f4c4c');
addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover color', '#0de9df');

addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page Icons, list number color', '#0de9df');
addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page list number Background color', '#000000');

addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionsidebarwidbrs_color', 'colors', 'Inner Page Sidebar Widgets Title Border color', '#0de9df');

addColorPalatOption($wp_customize, 'lz_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Sidebar & all text fields Border color', '#e9e7e7');

addColorPalatOption($wp_customize, 'lz_template_innerpagesidebardaytxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text Background color', '#777777');


addColorPalatOption($wp_customize, 'lz_template_innerpageblogboxbgss_color', 'colors', 'Inner Page Blog Box Background color', '#eee');


lzCustomLable($wp_customize, 'lz_fitness_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Color Setting For Navigation Back to top arrow:');

addColorPalatOption($wp_customize, 'lz_template_innerpage_backttoparrcbgcolor', 'colors', 'Site Navigation Arrow color', '#57e5d1');
addColorPalatOption($wp_customize, 'lz_template_innerpage_backttoparrcbghvrcolor', 'colors', 'Site Navigation Arrow Hover color', '#0b707c');

//BREADCRUMB SETTINGS
$wp_customize->add_section(
    'breadcrumb_settings',
    array(
        'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
        'panel' => 'lz_fitness_general_panel',
    )
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'luzuk' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'lz_template_innerpage_breadcrumbtitlecolor', 'breadcrumb_settings', 'Inner page breadcrumb box title color', '#000');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'lz_template_innerpage_breadcrumbcurrenttitlecolor', 'breadcrumb_settings', 'Inner page breadcrumb box current title color', '#fff');
addColorPalatOption($wp_customize, 'lz_template_innerpage_breadcrumbcurrenttitlehovercolor', 'breadcrumb_settings', 'Inner page breadcrumb box current title hover color', '#121212');

//Inner page breadcrumbbox background color
//addColorPalatOption($wp_customize, 'lz_template_innerpage_breadcrumbbgcolor', 'breadcrumb_settings', 'Inner page breadcrumb box background color', '#fff');
//addColorPalatOption($wp_customize, 'lz_template_innerpage_breadcrumbbgbordercolor', 'breadcrumb_settings', 'Inner page breadcrumb box border color', '#090909');

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
    'postpagedate_settings',
    array(
        'title' => __( 'Other Settings', 'Luzuk Premium' ),
        'panel' => 'lz_fitness_general_panel',
    )
);


$wp_customize->add_setting(
    'sinlgeinnerblogbutton', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Continue Reading', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sinlgeinnerblogbutton',
    array(
        'settings'      => 'sinlgeinnerblogbutton',
        'section'       => 'postpagedate_settings',
        'type'          => 'text',
        'label'         => __( 'Add Blog Pages Button Text Here', 'Luzuk' )
    )
);

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display for single post page', 'section' => 'postpagedate_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date', 'hide' => 'Hide Post Date', ), ) ); 

// end to show & hide button

//for POSTPAGEsocialsshare to show & hide button

$wp_customize->add_setting( 'postsocialsshare_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postsocialsshare_button_display', array( 'label' => 'Post social Icons Display', 'section' => 'postpagedate_settings', 'settings' => 'postsocialsshare_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Social Icons', 'hide' => 'Hide Social Icons', ), ) ); 

// end to show & hide button


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
    'footer_copyright_settings',
    array(
        'title' => __( 'Footer Settings', 'Luzuk Premium' ),
        'panel' => 'lz_fitness_general_panel',
    )
);

lzCustomLable($wp_customize, 'sec_footersectbackground', 'footer_copyright_settings', 'Footer Background Color:');

//backgroundManager($wp_customize, 'footer', 'footer_copyright_settings', $color='#ffffff', get_template_directory_uri().'/images/footer-bg.jpg', 'img');


addColorPalatOption($wp_customize, 'footerolycolor1', 'footer_copyright_settings', 'Footer Overlay Color One', '#57e5d1');

addColorPalatOption($wp_customize, 'footerolycolor2', 'footer_copyright_settings', 'Footer Overlay Color Two', '#2ebfd1');

addColorPalatOption($wp_customize, 'footebigcircolor', 'footer_copyright_settings', 'Footer Background Big Circle Color ', '#6deede96');

addColorPalatOption($wp_customize, 'footersmalcircolor', 'footer_copyright_settings', 'Footer Background Small Circle Color ', '#6deede96');

lzCustomLable($wp_customize, 'sec_footersectionpadding', 'footer_copyright_settings', 'Set Footer Padding:');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '7em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Bottom Padding', 'Luzuk' )
    )
);

// $wp_customize->add_setting(
//     'sec_footerseLmargin',
//     array(
//         'sanitize_callback' => 'lz_fitness_sanitize_text',
//         'default'           => __( '0em', 'Luzuk' )
//     )
// );
// $wp_customize->add_control(
//     'sec_footerseLmargin',
//     array(
//         'settings'      => 'sec_footerseLmargin',
//         'section'       => 'footer_copyright_settings',
//         'type'          => 'text',
//         'label'         => __( 'Footer Left Padding', 'Luzuk' )
//     )
// );
// $wp_customize->add_setting(
//     'sec_footerseRmargin',
//     array(
//         'sanitize_callback' => 'lz_fitness_sanitize_text',
//         'default'           => __( '0em', 'Luzuk' )
//     )
// );
// $wp_customize->add_control(
//     'sec_footerseRmargin',
//     array(
//         'settings'      => 'sec_footerseRmargin',
//         'section'       => 'footer_copyright_settings',
//         'type'          => 'text',
//         'label'         => __( 'Footer Right Padding', 'Luzuk' )
//     )
// );

lzCustomLable($wp_customize, 'sec_footersectioninfo', 'footer_copyright_settings', 'Add Footer Contact Information:');

$wp_customize->add_setting(
    'footermain_address',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Contact us now to get quote', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'footermain_address',
    array(
        'settings'      => 'footermain_address',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Top Box Title ', 'luzuk-premium' )
    )
);

// $wp_customize->add_setting(
//  'footer_email',
//  array(
//      'sanitize_callback' => 'lz_fitness_sanitize_text',
//      'default'           => __( 'info@watersports.com', 'luzuk-premium' )
//  )
// );
// $wp_customize->add_control(
//  'footer_email',
//  array(
//      'settings'      => 'footer_email',
//      'section'       => 'footer_copyright_settings',
//      'type'          => 'text',
//      'label'         => __( 'Footer Email', 'luzuk-premium' )
//  )
// );

$wp_customize->add_setting(
    'fboxbtntitle',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'GIVE ME FREE QUOTE' )
    )
);
$wp_customize->add_control(
    'fboxbtntitle',
    array(
        'settings'      => 'fboxbtntitle',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Top Box Button Text', 'Luzuk' )
    )
);
$wp_customize->add_setting('fboxbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('fboxbtnlink',
    array(
        'settings'      => 'fboxbtnlink',
        'section'       => 'footer_copyright_settings',
        'type'          => 'url',
        'label'         => __( 'Add "Button link" here', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'footer_tpbxtxt_color', 'footer_copyright_settings', 'Footer Top Box Button Text Color', '#000');

addColorPalatOption($wp_customize, 'footer_tpbxtxthv_color', 'footer_copyright_settings', 'Footer Top Box Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'footer_tpbxbg_color', 'footer_copyright_settings', 'Footer Top Box Button Background Color', '#ffffff');

addColorPalatOption($wp_customize, 'footer_tpbxbghv_color', 'footer_copyright_settings', 'Footer Top Box Button Background Hover Color', '#0b707c');

$wp_customize->add_setting(
    'footer_phone',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '1800-123-4567', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'footer_phone',
    array(
        'settings'      => 'footer_phone',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Phone Number', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'footer_subphone',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'CALL NOW FAST SERVICE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'footer_subphone',
    array(
        'settings'      => 'footer_subphone',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Phone Title', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'sec_footercolor', 'footer_copyright_settings', 'Section Color');

//theme Footer title Color
addColorPalatOption($wp_customize, 'footer_title_color', 'footer_copyright_settings', 'Footer Title Color', '#ffffff');

addColorPalatOption($wp_customize, 'footer_borderall_color', 'footer_copyright_settings', 'Footer Border Color', '#ffffff');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'footer_icon_color', 'footer_copyright_settings', 'Footer Icon Color', '#fff');
//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'footer_iconhover_color', 'footer_copyright_settings', 'Footer Icon Hover Color', '#222222');

//theme Footer text Color
addColorPalatOption($wp_customize, 'footer_text_color', 'footer_copyright_settings', 'Footer Text & Posts Links Color', '#ffffff');



addColorPalatOption($wp_customize, 'footer_hglightsctext_color', 'footer_copyright_settings', 'Footer Hightlight span Text Color', '#222222');

//theme Footer menu Color
//addColorPalatOption($wp_customize, 'footer_menuicon_color', 'footer_copyright_settings', 'Count Text Color', '#c3c4c3');
//addColorPalatOption($wp_customize, 'footer_menuiconhvr_color', 'footer_copyright_settings', 'Count Text Hover Color', '#febe00');

addColorPalatOption($wp_customize, 'footer_menu_color', 'footer_copyright_settings', 'Footer Menu Color', '#ffffff');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'footer_menuhover_color', 'footer_copyright_settings', 'Footer Menu Hover Color', '#222222');

//theme Footer social Color
addColorPalatOption($wp_customize, 'footer_social_color', 'footer_copyright_settings', 'Footer Social Icon Color', '#ffffff');
//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'footer_socialhover_color', 'footer_copyright_settings', 'Footer Social Icon Hover Color', '#000000');




//theme Footer table text Color
addColorPalatOption($wp_customize, 'footer_tabletext_color', 'footer_copyright_settings', 'Footer Table Text Color', '#777777');
//theme Footer table border Color
addColorPalatOption($wp_customize, 'footer_tableborder_color', 'footer_copyright_settings', 'Footer Table Border Color', '#777777');
   
addColorPalatOption($wp_customize, 'footer_formlabeltxt_color', 'footer_copyright_settings', 'Footer Form & Calender label Text Color', '#777777');
 
//theme Footer form Color
addColorPalatOption($wp_customize, 'footer_form_color', 'footer_copyright_settings', 'Footer Form Text & Placeholder Text Color', '#696665');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'footer_formborder_color', 'footer_copyright_settings', 'Footer Form Text Field  Background Color', '#fff');

//theme Footer form button Color 
addColorPalatOption($wp_customize, 'footer_formbtn_color', 'footer_copyright_settings', 'Footer Form Button Text Color', '#000');

addColorPalatOption($wp_customize, 'footer_formbtnhvrss_color', 'footer_copyright_settings', 'Footer Form Button Text Hover Color', '#fff');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'footer_formbtnbg_color', 'footer_copyright_settings', 'Footer Form Button Background Color', '#fff');

addColorPalatOption($wp_customize, 'footer_formbtnbghvrss_color', 'footer_copyright_settings', 'Footer Form Button Background Hover Color', '#0b707c');

//addColorPalatOption($wp_customize, 'footer_menudate_color', 'footer_copyright_settings', 'Posts Date & Calender active Date Text Color', '#777777');
//addColorPalatOption($wp_customize, 'footer_calendertxtc_color', 'footer_copyright_settings', 'Calender Day Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'footer_calendertxtcbgssc_color', 'footer_copyright_settings', 'Calender Day Text & Timing Table Day Text background Color', '#0c0c0c');


$wp_customize->add_setting(
    'lz_fitness_footer_copyrighttext',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Copyright © 2020 AC Repairing', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_footer_copyrighttext',
    array(
        'settings'      => 'lz_fitness_footer_copyrighttext',
        'section'       => 'footer_copyright_settings',
        'type'          => 'textarea',
        'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
    )
);

// Adding the Label
lzCustomLable($wp_customize, 'footer_privtxt', 'footer_copyright_settings', 'Add Terms & Condition Text & Its Url');
$wp_customize->add_setting(
    'footerTermsNdConText',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Terms & Condition', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footerTermsNdConText',
    array(
        'settings'      => 'footerTermsNdConText',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Add Text Here:', 'Luzuk Premium' )
    )
);

$wp_customize->add_setting('footer_termsndondition',    array('default'=> '#', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('footer_termsndondition',
    array(
        'settings'      => 'footer_termsndondition',
        'section'       => 'footer_copyright_settings',
        'type'          => 'url',
        'label'         => __( 'Add Url Here', 'Luzuk' )
    )
);
lzCustomLable($wp_customize, 'footer_privtxts', 'footer_copyright_settings', 'Add Privacy Policy Text & Its Url');

$wp_customize->add_setting(
    'footerprivtext',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Privacy Policy', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footerprivtext',
    array(
        'settings'      => 'footerprivtext',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Add Text Here:', 'Luzuk Premium' )
    )
);

$wp_customize->add_setting('footer_privacytext',    array('default'=> '#', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('footer_privacytext',
    array(
        'settings'      => 'footer_privacytext',
        'section'       => 'footer_copyright_settings',
        'type'          => 'url',
        'label'         => __( 'Add Url Here', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'footer_copyrighttext_color', 'footer_copyright_settings', 'Copyright Footer Text Color', '#000');
addColorPalatOption($wp_customize, 'footer_copyrighttexthighlight_color', 'footer_copyright_settings', 'Copyright Footer Links Color', '#000');
addColorPalatOption($wp_customize, 'footer_copyrighttexthighlighthvrs_color', 'footer_copyright_settings', 'Copyright Footer Links Hover Color', '#09efe8');
addColorPalatOption($wp_customize, 'footer_copyrightfooterlinkbrss_color', 'footer_copyright_settings', 'Copyright Footer Links Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'footer_copyrightdfooterbrss_color', 'footer_copyright_settings', 'Copyright Footer Background Color', '#fff');


//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
    'lz_fitness_shopsidebar_settings',
    array(
        'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
        'panel' => 'lz_fitness_general_panel',
    )
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'lz_fitness_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 
// end to show & hide button

//addColorPalatOption($wp_customize, 'lz_fitness_shoppageheaderbg_color', 'lz_fitness_shopsidebar_settings', 'Shop Pages Top Header Background Color', '#2e2e2e');


$wp_customize->add_section(
    'innerpageshortcode_page_settings',
    array(
        'title' => __( 'Color Setting For Shortcode Pages', 'Luzuk' ),
        'panel' => 'lz_fitness_general_panel',
    )
);

lzCustomLable($wp_customize, 'team_innerpagepageclrdisplay', 'innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors:');

lzCustomLable($wp_customize, 'teaminnerpageimg_displayset', 'innerpageshortcode_page_settings', 'Note: Set team member images of equal height');

addColorPalatOption($wp_customize, 'teampage_innerteamimbBg_Color', 'innerpageshortcode_page_settings', 'Team Box Border Color', '#cccccc');

addColorPalatOption($wp_customize, 'teampage_innerteamimboBg_Color', 'innerpageshortcode_page_settings', 'Team Box Background Color', '#ffffff');


addColorPalatOption($wp_customize, 'teampage_innimgverlaycolor', 'innerpageshortcode_page_settings', 'Team Image Hover Overlay Color', '#0de9df');

addColorPalatOption($wp_customize, 'teampage_innerpsocialsbg_Color', 'innerpageshortcode_page_settings', 'Team Socials Icon Background Color', '#222222');

addColorPalatOption($wp_customize, 'teampage_innerpsocialsbghover_Color', 'innerpageshortcode_page_settings', 'Team Socials Hover Icon Background Color', '#ffffff');

addColorPalatOption($wp_customize, 'teampage_innerpsocialsicon_Color', 'innerpageshortcode_page_settings', 'Team Socials Icon Color', '#ffffff');

addColorPalatOption($wp_customize, 'teampage_innerpsocialsiconhov_Color', 'innerpageshortcode_page_settings', 'Team Socials Icon Hover Color', '#000000');

addColorPalatOption($wp_customize, 'teampage_innernameT_Color', 'innerpageshortcode_page_settings', 'Team Name Text Color', '#222222');

addColorPalatOption($wp_customize, 'teampage_innedesignation_Color', 'innerpageshortcode_page_settings', 'Team Designation Text Color', '#777777');

addColorPalatOption($wp_customize, 'teampage_innernamehoBg_Color', 'innerpageshortcode_page_settings', 'Team Name Box Hover Background Color', '#f7f7f7');

addColorPalatOption($wp_customize, 'teampage_innernamehobord_Color', 'innerpageshortcode_page_settings', 'Team Name Box Hover Highlight Border Color', '#0de9df');






addColorPalatOption($wp_customize, 'innertestimonial_bxbgsborderColor1', 'innerpageshortcode_page_settings', 'Testimonial Box Background color One', '#daf9f5');



addColorPalatOption($wp_customize, 'innertestimonial_bxborderColor', 'innerpageshortcode_page_settings', 'Testimonial Box border color', '#daf9f5');

addColorPalatOption($wp_customize, 'innertestimonial_clientnametxtColor', 'innerpageshortcode_page_settings', 'Client Name Text color', '#ffffff');

addColorPalatOption($wp_customize, 'innertestimonial_clientdesignationtxtColor', 'innerpageshortcode_page_settings', 'Client Name Background color', '#0b707c');

addColorPalatOption($wp_customize, 'innertestimonial_ContenttxtColor', 'innerpageshortcode_page_settings', 'Content Text color', '#000000');

addColorPalatOption($wp_customize, 'innertestimonial_ContentdegColor', 'innerpageshortcode_page_settings', 'Content Designation color', '#000000');


//lzCustomLable($wp_customize, 'testimonialpremium_imgbg_gradientbg', 'innerpageshortcode_page_settings', 'Testimonial Image Border Color:');
// for gradiant
$wp_customize->add_setting(
    'gradienttop_bg_color_one', array(
        'default'           => '#2ebfd1',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'gradienttop_bg_color_one',array(
            'settings'      => 'gradienttop_bg_color_one',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Image Border Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'gradienttop_bg_color_two', array(
        'default'           => '#57e5d1',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'gradienttop_bg_color_two',array(
            'settings'      => 'gradienttop_bg_color_two',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Image Border Color Two ', 'Luzuk Premium' ),
        )
    )
); 
  
//vvv
lzCustomLable($wp_customize, 'galleryinnerpagepageclr_display', 'innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors:');

lzCustomLable($wp_customize, 'galleryinnerpagegallresclrdisplay', 'innerpageshortcode_page_settings', 'Note: Kindly Use Gallery images size 300px*300px ');



//lzCustomLable($wp_customize, 'gallery_opacity', 'innerpageshortcode_page_settings', 'Set Image Overlay Opacity:');

// $wp_customize->add_setting(
//  'pages_GalleryInnerOverOp',
//  array(
//      'sanitize_callback' => 'lz_fitness_sanitize_text',
//      'default'           => __( '0.35', 'Luzuk' )
//  )
// );
// $wp_customize->add_control(
//  'pages_GalleryInnerOverOp',
//  array(
//      'settings'      => 'pages_GalleryInnerOverOp',
//      'section'       => 'innerpageshortcode_page_settings',
//      'type'          => 'text',
//      'label'         => __( 'Add Opacity Here:', 'Luzuk' )
//  )
// );


addColorPalatOption($wp_customize, 'innergalleryoverlay_bgsscColor', 'innerpageshortcode_page_settings', 'Select Image Overlay Background Color', '#57e5d1');

addColorPalatOption($wp_customize, 'innergalleryicon_Color', 'innerpageshortcode_page_settings', 'Select Image Icon color', '#ffffff');

addColorPalatOption($wp_customize, 'innergalleryiconhover_Color', 'innerpageshortcode_page_settings', 'Select Image Icon Hover color', '#0de9df');

 
//faq page

lzCustomLable($wp_customize, 'faqinnerpagepageclr_display', 'innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors:');

addColorPalatOption($wp_customize, 'faqinnerpagetitleColor', 'innerpageshortcode_page_settings', 'Select Faq Question Text color', '#1684fb');

 addColorPalatOption($wp_customize, 'faqinnerpagetitleIconColor', 'innerpageshortcode_page_settings', 'Select Faq Question Box Icon color', '#0b707c'); 


addColorPalatOption($wp_customize, 'faqinnerpgetitlebxColor1', 'innerpageshortcode_page_settings', 'Select Question Box Background Color', '#ffffff');


addColorPalatOption($wp_customize, 'faqinnerpagetextcColor', 'innerpageshortcode_page_settings', 'Select Faq Answer Text color', '#000000');

addColorPalatOption($wp_customize, 'faqinnerpagetextboxbgsscbrssColor', 'innerpageshortcode_page_settings', 'Select Faq Answer Text Box Background color', '#ffffff');

//



lzCustomLable($wp_customize, 'servicesinnerpagepageclr_display', 'innerpageshortcode_page_settings', 'Set ServicesShortcode Page Colors:');

lzCustomLable($wp_customize, 'servicesinnerpagegallresclrdisplay', 'innerpageshortcode_page_settings', 'Note: Kindly Use Images of same resolution');


addColorPalatOption($wp_customize, 'pagecoursesboxborColor', 'innerpageshortcode_page_settings', 'Services Post Box Border Color', '#cccccc');

addColorPalatOption($wp_customize, 'pagesersecboximghvColor', 'innerpageshortcode_page_settings', 'Services Post Box Image Hover Color', '#57e5d1');

addColorPalatOption($wp_customize, 'pagecoursesboxBgColor', 'innerpageshortcode_page_settings', 'Services Post Box background Color', '#ffffff');

addColorPalatOption($wp_customize, 'pagecoursespottitleColor', 'innerpageshortcode_page_settings', 'Services Post Title Color', '#222222');

addColorPalatOption($wp_customize, 'pagecoursespottitlehovColor', 'innerpageshortcode_page_settings', 'Services Post Hover Title Color', '#0de9df');

addColorPalatOption($wp_customize, 'pagecoursespottextColor', 'innerpageshortcode_page_settings', 'Services Post Text Color', '#777777');

lzCustomLable($wp_customize, 'services_button_displaysets', 'innerpageshortcode_page_settings', 'Services Button Setting:');

// to show & hide another button
// end to show & hide button


$wp_customize->add_setting(
    'innerservicesbutton_txt',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Read More', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerservicesbutton_txt',
    array(
        'settings'      => 'innerservicesbutton_txt',
        'section'       => 'innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'pagecoursespotbutttextColor', 'innerpageshortcode_page_settings', 'Services Post Button Text Color', '#222222');

addColorPalatOption($wp_customize, 'pagecoursespotbutthovtextColor', 'innerpageshortcode_page_settings', 'Services Post Button Hover Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'pagecoursespotbuttbgColor', 'innerpageshortcode_page_settings', 'Services Post Button Background Color', '#f5f5f5');

addColorPalatOption($wp_customize, 'pagecoursespotbutthovbgColor', 'innerpageshortcode_page_settings', 'Services Post Button Hover Background Color', '#0b707c');



$wp_customize->add_section(
    'lz_innerpagefont_settings',
    array(
        'title' => __( 'Inner Page Fonts Settings', 'Luzuk' ),
        'panel' => 'lz_fitness_general_panel',
    )
);

lzCustomLable($wp_customize, 'lz_temp_innerpageh1_fontsizeset', 'lz_innerpagefont_settings', ' Heading 1:');


$wp_customize->add_setting(
    'pages_innerpageheading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '35px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading',
    array(
        'settings'      => 'pages_innerpageheading',
        'section'       => 'lz_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 1 Font Size', 'Luzuk' )
    )
);


lzCustomLable($wp_customize, 'lz_temp_innerpageh2_fontsizeset', 'lz_innerpagefont_settings', ' Heading 2:');


$wp_customize->add_setting(
    'pages_innerpageheading2',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '24px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading2',
    array(
        'settings'      => 'pages_innerpageheading2',
        'section'       => 'lz_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 2 Font Size', 'Luzuk' )
    )
);
 

lzCustomLable($wp_customize, 'lz_temp_innerpageh3_fontsizeset', 'lz_innerpagefont_settings', ' Heading 3:');


$wp_customize->add_setting(
    'pages_innerpageheading3',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '20px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading3',
    array(
        'settings'      => 'pages_innerpageheading3',
        'section'       => 'lz_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 3 Font Size', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'lz_temp_innerpageh4_fontsizeset', 'lz_innerpagefont_settings', ' Heading 4:');


$wp_customize->add_setting(
    'pages_innerpageheading4',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '18px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading4',
    array(
        'settings'      => 'pages_innerpageheading4',
        'section'       => 'lz_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 4 Font Size', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'lz_temp_innerpageh5_fontsizeset', 'lz_innerpagefont_settings', ' Heading 5:');


$wp_customize->add_setting(
    'pages_innerpageheading5',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '17px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading5',
    array(
        'settings'      => 'pages_innerpageheading5',
        'section'       => 'lz_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 5 Font Size', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'lz_temp_innerpageh6_fontsizeset', 'lz_innerpagefont_settings', ' Heading 6:');


$wp_customize->add_setting(
    'pages_innerpageheading6',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '16px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading6',
    array(
        'settings'      => 'pages_innerpageheading6',
        'section'       => 'lz_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 6 Font Size', 'Luzuk' )
    )
);