<?php
$wp_customize->add_section(
    'aboutus_section',
    array(
        'title' => __( 'About & Counter Section', 'Luzuk' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);

$wp_customize->add_setting(
    'aboutus_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'aboutus_section_disable',
        array(
            'settings'      => 'aboutus_section_disable',
            'section'       => 'aboutus_section',
            'label'         => __( 'Disable/ Enable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);
backgroundManager($wp_customize, 'about', 'aboutus_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'sec_aboutpadding', 'aboutus_section', 'Set About Box Padding');

$wp_customize->add_setting(
    'aboutTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'aboutTpadding',
    array(
        'settings'      => 'aboutTpadding',
        'section'       => 'aboutus_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'aboutBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '7em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'aboutBpadding',
    array(
        'settings'      => 'aboutBpadding',
        'section'       => 'aboutus_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'aboutus_section',
            'label'         => __( 'About Title & Text', 'Luzuk' ),
        )
    )
);   



$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'About Us', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'aboutus_section',
        'type'          => 'text',
        'label'         => __( 'Section Title ', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'aboutReservation_SectionttlColor', 'aboutus_section', 'Section Title Color', '#222222'); 

$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback'=>'lz_fitness_sanitize_text',
        'default'=> __('Dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat, lacus eu suscipit mattis, tortor mi aliquam leo, quis laoreet ante sem sed sapien. Phasellus id convallis ligula. Aliquam erat volutpat Aliquam erat volutpat.', 'Luzuk')
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings' =>'about_text',
        'section' => 'aboutus_section',
        'type'=> 'textarea',
        'label'=> __('Content for the section', 'Luzuk')
    )
);

addColorPalatOption($wp_customize, 'aboutReservation_alltxtColor', 'aboutus_section', 'Section Text Content Color', '#131313'); 


$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'aboutus_section',
            'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'aboutus_section',
        'type'          => 'select',
        'label'         => __( 'Number of About plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'aboutus_section',
                'label'         => __( 'About Page ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-arrow-right',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'aboutus_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

    lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'aboutus_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='Quisque posuere elit ut efficit');  
}


lzCustomLable($wp_customize, 'about_lblbuttonabtdisplay', 'aboutus_section', 'About Us Button Display & Text Setting:');

// to show & hide another button
$wp_customize->add_setting( 'about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'about_button_display', array( 'label' => 'Button Display', 'section' => 'aboutus_section', 'settings' => 'about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'aboutus_abtbtntitle',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Request Service' )
    )
);
$wp_customize->add_control(
    'aboutus_abtbtntitle',
    array(
        'settings'      => 'aboutus_abtbtntitle',
        'section'       => 'aboutus_section',
        'type'          => 'text',
        'label'         => __( 'About Us Button Text', 'Luzuk' )
    )
);
$wp_customize->add_setting('aboutus_abtbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('aboutus_abtbtnlink',
    array(
        'settings'      => 'aboutus_abtbtnlink',
        'section'       => 'aboutus_section',
        'type'          => 'url',
        'label'         => __( 'Add "Button link" here', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'about_color', 'aboutus_section', 'About Color Setting');

addColorPalatOption($wp_customize, 'about_icntxtColor', 'aboutus_section', 'Section Icon Text Color', '#131313'); 

addColorPalatOption($wp_customize, 'about_icnColor', 'aboutus_section', 'Section Icon Color', '#fff'); 

addColorPalatOption($wp_customize, 'about_icnbgColor', 'aboutus_section', 'Section Icon Background Color', '#57e5d1');

addColorPalatOption($wp_customize, 'aboutReservation_btntxtColor', 'aboutus_section', 'Button Text & Icon Color', '#fff'); 
addColorPalatOption($wp_customize, 'aboutReservation_btntxthvrsColor', 'aboutus_section', 'Button Text & Icon Hover Color', '#fff'); 

addColorPalatOption($wp_customize, 'aboutReservation_btnbackgColor1', 'aboutus_section', 'Button Background Color One', '#57e5d1'); 

addColorPalatOption($wp_customize, 'aboutReservation_btnbackgColor2', 'aboutus_section', 'Button Background Color Two', '#2ebfd1'); 

addColorPalatOption($wp_customize, 'aboutReservation_btnbackghvrsColor1', 'aboutus_section', 'Button Hover Background Color Own', '#2ebfd1'); 

addColorPalatOption($wp_customize, 'aboutReservation_btnbackghvrsColor2', 'aboutus_section', 'Button Hover Background Color Two', '#0b707c'); 


//============================counter section===========================//

lzCustomLable($wp_customize, 'sec_rightbar_padding', 'aboutus_section', 'Right Counter Section');


$wp_customize->add_setting('counter_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'counter_npp_heading',
        array(
            'settings'      => 'counter_npp_heading',
            'section'       => 'aboutus_section',
            'label'         => __( 'Number Of counter Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('counter_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 3));
$wp_customize->add_control(
    'counter_npp_count',
    array(
        'settings'      => 'counter_npp_count',
        'section'       => 'aboutus_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'counter_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'counter_header'.$i,
            array(
                'settings'      => 'counter_header'.$i,
                'section'       => 'aboutus_section',
                'label'         => __( 'counter Page ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'counter_page_icon'.$i,
        array(
            'default'           => 'fa fa-trophy',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'counter_page_icon'.$i,
            array(
                'settings'      => 'counter_page_icon'.$i,
                'section'       => 'aboutus_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'counter_page_number_'.$i, 'aboutus_section', $type = 'text', $label="Number", $callback ='lz_fitness_sanitize_text', $default='47');

lzAddElement($wp_customize, 'counter_page_title_'.$i, 'aboutus_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='Awareds Won');
    
}


lzCustomLable($wp_customize, 'sec_rightbar_color', 'aboutus_section', 'Counter Section Color');


addColorPalatOption($wp_customize, 'countericonbrdColor', 'aboutus_section', 'Counter Border Color', '#57e5d1');


addColorPalatOption($wp_customize, 'countericonbxColor', 'aboutus_section', 'Counter Box Color', '#fff');

addColorPalatOption($wp_customize, 'countericonbxhv1Color', 'aboutus_section', 'Counter Box Hover Color One', '#57e5d1');

addColorPalatOption($wp_customize, 'countericonbxhv2Color', 'aboutus_section', 'Counter Box Hover Color Two', '#2ebfd1');

     // icon color
addColorPalatOption($wp_customize, 'counter_iconColor', 'aboutus_section', 'Counter Icon Color', '#fff');

    // icon 
addColorPalatOption($wp_customize, 'counter_iconbgColor1', 'aboutus_section', 'Counter Icon Background Color One', '#57e5d1');

addColorPalatOption($wp_customize, 'counter_iconbgColor2', 'aboutus_section', 'Counter Icon Background Color Two', '#2ebfd1');

 // Number color
addColorPalatOption($wp_customize, 'counternumberColor', 'aboutus_section', 'Counter Number Color', '#2dbed1');

addColorPalatOption($wp_customize, 'counternumberhvColor', 'aboutus_section', 'Counter Number Hover Color', '#fff');

 // title color
addColorPalatOption($wp_customize, 'counter_titleColor', 'aboutus_section', 'Counter Title Color', '#131313');

addColorPalatOption($wp_customize, 'counter_titlehvColor', 'aboutus_section', 'Counter Title Hover Color', '#fff');

// End counter section 
